Package org.tanukisoftware.wrapper

# Class WrapperWin32Group

java.lang.Object
org.tanukisoftware.wrapper.WrapperGroup
org.tanukisoftware.wrapper.WrapperWin32Group

public class WrapperWin32Group extends WrapperGroup
A WrapperGroup contains information about a group which a user belongs to. A WrapperGroup is obtained via a WrapperUser.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAccount()`
Returns the full name of the group.
`String`
`getDomain()`
Returns the domain name of the user account.
`String`
`getSID()`
Returns the current Security Identifier (SID) of the user account.
`String`
`toString()`

### Methods inherited from class org.tanukisoftware.wrapper.WrapperGroup

`getGroup`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getSID

public String getSID()
Returns the current Security Identifier (SID) of the user account.

Returns:
  The SID of the user account.

### getDomain

public String getDomain()
Returns the domain name of the user account.

Returns:
  The domain name of the user account.

### getAccount

public String getAccount()
Returns the full name of the group.

Returns:
  The full name of the group.

### toString

public String toString()

Overrides:
  `toString` in class `Object`